from __future__ import annotations

from enum import Enum
from typing import Any, Dict, List, Type

import System
import System.Collections
import System.Configuration
import System.Configuration.Assemblies
import System.Data
import System.Globalization
import System.IO
import System.Reflection
import System.Runtime
import System.Runtime.CompilerServices
import System.Runtime.InteropServices
import System.Runtime.Remoting
import System.Runtime.Serialization
import System.Security
import System.Security.AccessControl
import System.Security.Cryptography
import System.Security.Cryptography.X509Certificates
import System.Security.Policy
import System.Threading
import System.Threading.Tasks
import System.Xml
import System.Xml.Schema
import System.Xml.Serialization
from System.ComponentModel import MarshalByValueComponent


class XmlReader:

    @property
    def AttributeCount(self): ...

    @AttributeCount.setter
    def AttributeCount(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def CanReadBinaryContent(self): ...

    @CanReadBinaryContent.setter
    def CanReadBinaryContent(self): ...

    @property
    def CanReadValueChunk(self): ...

    @CanReadValueChunk.setter
    def CanReadValueChunk(self): ...

    @property
    def CanResolveEntity(self): ...

    @CanResolveEntity.setter
    def CanResolveEntity(self): ...

    def Close(self) -> None: ...

    def Create(self,
            _: System.IO.TextReader,
            __: System.Xml.XmlReaderSettings,
            ___: str,
            ) -> System.Xml.XmlReader: ...

    @property
    def Depth(self): ...

    @Depth.setter
    def Depth(self): ...

    def Dispose(self, _: bool) -> None: ...

    @property
    def EOF(self): ...

    @EOF.setter
    def EOF(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetAttribute(self, _: str, __: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def GetValueAsync(self) -> System.Threading.Tasks.Task[str]: ...

    @property
    def HasAttributes(self): ...

    @HasAttributes.setter
    def HasAttributes(self): ...

    @property
    def HasValue(self): ...

    @HasValue.setter
    def HasValue(self): ...

    @property
    def IsDefault(self): ...

    @IsDefault.setter
    def IsDefault(self): ...

    @property
    def IsEmptyElement(self): ...

    @IsEmptyElement.setter
    def IsEmptyElement(self): ...

    def IsName(self, _: str) -> bool: ...

    def IsNameToken(self, _: str) -> bool: ...

    def IsStartElement(self, _: str, __: str) -> bool: ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def LookupNamespace(self, _: str) -> str: ...

    def MemberwiseClone(self) -> object: ...

    def MoveToAttribute(self, _: str, __: str) -> bool: ...

    def MoveToContent(self) -> System.Xml.XmlNodeType: ...

    def MoveToContentAsync(self) -> System.Threading.Tasks.Task[System.Xml.XmlNodeType]: ...

    def MoveToElement(self) -> bool: ...

    def MoveToFirstAttribute(self) -> bool: ...

    def MoveToNextAttribute(self) -> bool: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NameTable(self): ...

    @NameTable.setter
    def NameTable(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    @property
    def QuoteChar(self): ...

    @QuoteChar.setter
    def QuoteChar(self): ...

    def Read(self) -> bool: ...

    def ReadAsync(self) -> System.Threading.Tasks.Task[bool]: ...

    def ReadAttributeValue(self) -> bool: ...

    def ReadContentAs(self, _: Type, __: System.Xml.IXmlNamespaceResolver) -> object: ...

    def ReadContentAsAsync(self,
            _: Type,
            __: System.Xml.IXmlNamespaceResolver,
            ) -> System.Threading.Tasks.Task[object]: ...

    def ReadContentAsBase64(self, _: List[bytes], __: int, ___: int) -> int: ...

    def ReadContentAsBase64Async(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def ReadContentAsBinHex(self, _: List[bytes], __: int, ___: int) -> int: ...

    def ReadContentAsBinHexAsync(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def ReadContentAsBoolean(self) -> bool: ...

    def ReadContentAsDateTime(self) -> System.DateTime: ...

    def ReadContentAsDateTimeOffset(self) -> System.DateTimeOffset: ...

    def ReadContentAsDecimal(self) -> float: ...

    def ReadContentAsDouble(self) -> float: ...

    def ReadContentAsFloat(self) -> float: ...

    def ReadContentAsInt(self) -> int: ...

    def ReadContentAsLong(self) -> int: ...

    def ReadContentAsObject(self) -> object: ...

    def ReadContentAsObjectAsync(self) -> System.Threading.Tasks.Task[object]: ...

    def ReadContentAsString(self) -> str: ...

    def ReadContentAsStringAsync(self) -> System.Threading.Tasks.Task[str]: ...

    def ReadElementContentAs(self,
            _: Type,
            __: System.Xml.IXmlNamespaceResolver,
            ___: str,
            ____: str,
            ) -> object: ...

    def ReadElementContentAsAsync(self,
            _: Type,
            __: System.Xml.IXmlNamespaceResolver,
            ) -> System.Threading.Tasks.Task[object]: ...

    def ReadElementContentAsBase64(self, _: List[bytes], __: int, ___: int) -> int: ...

    def ReadElementContentAsBase64Async(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def ReadElementContentAsBinHex(self, _: List[bytes], __: int, ___: int) -> int: ...

    def ReadElementContentAsBinHexAsync(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def ReadElementContentAsBoolean(self, _: str, __: str) -> bool: ...

    def ReadElementContentAsDateTime(self, _: str, __: str) -> System.DateTime: ...

    def ReadElementContentAsDecimal(self, _: str, __: str) -> float: ...

    def ReadElementContentAsDouble(self, _: str, __: str) -> float: ...

    def ReadElementContentAsFloat(self, _: str, __: str) -> float: ...

    def ReadElementContentAsInt(self, _: str, __: str) -> int: ...

    def ReadElementContentAsLong(self, _: str, __: str) -> int: ...

    def ReadElementContentAsObject(self, _: str, __: str) -> object: ...

    def ReadElementContentAsObjectAsync(self) -> System.Threading.Tasks.Task[object]: ...

    def ReadElementContentAsString(self, _: str, __: str) -> str: ...

    def ReadElementContentAsStringAsync(self) -> System.Threading.Tasks.Task[str]: ...

    def ReadElementString(self, _: str, __: str) -> str: ...

    def ReadEndElement(self) -> None: ...

    def ReadInnerXml(self) -> str: ...

    def ReadInnerXmlAsync(self) -> System.Threading.Tasks.Task[str]: ...

    def ReadOuterXml(self) -> str: ...

    def ReadOuterXmlAsync(self) -> System.Threading.Tasks.Task[str]: ...

    def ReadStartElement(self, _: str, __: str) -> None: ...

    @property
    def ReadState(self): ...

    @ReadState.setter
    def ReadState(self): ...

    def ReadString(self) -> str: ...

    def ReadSubtree(self) -> System.Xml.XmlReader: ...

    def ReadToDescendant(self, _: str, __: str) -> bool: ...

    def ReadToFollowing(self, _: str, __: str) -> bool: ...

    def ReadToNextSibling(self, _: str, __: str) -> bool: ...

    def ReadValueChunk(self, _: List[str], __: int, ___: int) -> int: ...

    def ReadValueChunkAsync(self,
            _: List[str],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ResolveEntity(self) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    @property
    def Settings(self): ...

    @Settings.setter
    def Settings(self): ...

    def Skip(self) -> None: ...

    def SkipAsync(self) -> System.Threading.Tasks.Task: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    @property
    def ValueType(self): ...

    @ValueType.setter
    def ValueType(self): ...

    @property
    def XmlLang(self): ...

    @XmlLang.setter
    def XmlLang(self): ...

    @property
    def XmlSpace(self): ...

    @XmlSpace.setter
    def XmlSpace(self): ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_AttributeCount(self) -> int: ...

    def get_BaseURI(self) -> str: ...

    def get_CanReadBinaryContent(self) -> bool: ...

    def get_CanReadValueChunk(self) -> bool: ...

    def get_CanResolveEntity(self) -> bool: ...

    def get_Depth(self) -> int: ...

    def get_EOF(self) -> bool: ...

    def get_HasAttributes(self) -> bool: ...

    def get_HasValue(self) -> bool: ...

    def get_IsDefault(self) -> bool: ...

    def get_IsEmptyElement(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> str: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NameTable(self) -> System.Xml.XmlNameTable: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_Prefix(self) -> str: ...

    def get_QuoteChar(self) -> str: ...

    def get_ReadState(self) -> System.Xml.ReadState: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Settings(self) -> System.Xml.XmlReaderSettings: ...

    def get_Value(self) -> str: ...

    def get_ValueType(self) -> Type: ...

    def get_XmlLang(self) -> str: ...

    def get_XmlSpace(self) -> System.Xml.XmlSpace: ...


class XmlWriter:

    def Close(self) -> None: ...

    def Create(self, _: str, __: System.Xml.XmlWriterSettings) -> System.Xml.XmlWriter: ...

    def Dispose(self, _: bool) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Flush(self) -> None: ...

    def FlushAsync(self) -> System.Threading.Tasks.Task: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def LookupPrefix(self, _: str) -> str: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    @property
    def Settings(self): ...

    @Settings.setter
    def Settings(self): ...

    def ToString(self) -> str: ...

    def WriteAttributeString(self, _: str, __: str, ___: str, ____: str) -> None: ...

    def WriteAttributeStringAsync(self,
            _: str,
            __: str,
            ___: str,
            ____: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteAttributes(self, _: System.Xml.XmlReader, __: bool) -> None: ...

    def WriteAttributesAsync(self,
            _: System.Xml.XmlReader,
            __: bool,
            ) -> System.Threading.Tasks.Task: ...

    def WriteBase64(self, _: List[bytes], __: int, ___: int) -> None: ...

    def WriteBase64Async(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def WriteBinHex(self, _: List[bytes], __: int, ___: int) -> None: ...

    def WriteBinHexAsync(self,
            _: List[bytes],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def WriteCData(self, _: str) -> None: ...

    def WriteCDataAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteCharEntity(self, _: str) -> None: ...

    def WriteCharEntityAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteChars(self, _: List[str], __: int, ___: int) -> None: ...

    def WriteCharsAsync(self,
            _: List[str],
            __: int,
            ___: int,
            ) -> System.Threading.Tasks.Task: ...

    def WriteComment(self, _: str) -> None: ...

    def WriteCommentAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteDocType(self, _: str, __: str, ___: str, ____: str) -> None: ...

    def WriteDocTypeAsync(self,
            _: str,
            __: str,
            ___: str,
            ____: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteElementString(self, _: str, __: str, ___: str, ____: str) -> None: ...

    def WriteElementStringAsync(self,
            _: str,
            __: str,
            ___: str,
            ____: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteEndAttribute(self) -> None: ...

    def WriteEndAttributeAsync(self) -> System.Threading.Tasks.Task: ...

    def WriteEndDocument(self) -> None: ...

    def WriteEndDocumentAsync(self) -> System.Threading.Tasks.Task: ...

    def WriteEndElement(self) -> None: ...

    def WriteEndElementAsync(self) -> System.Threading.Tasks.Task: ...

    def WriteEntityRef(self, _: str) -> None: ...

    def WriteEntityRefAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteFullEndElement(self) -> None: ...

    def WriteFullEndElementAsync(self) -> System.Threading.Tasks.Task: ...

    def WriteName(self, _: str) -> None: ...

    def WriteNameAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteNmToken(self, _: str) -> None: ...

    def WriteNmTokenAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteNode(self, _: Any, __: bool) -> None: ...

    def WriteNodeAsync(self,
            _: System.Xml.XmlReader,
            __: bool,
            ) -> System.Threading.Tasks.Task: ...

    def WriteProcessingInstruction(self, _: str, __: str) -> None: ...

    def WriteProcessingInstructionAsync(self,
            _: str,
            __: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteQualifiedName(self, _: str, __: str) -> None: ...

    def WriteQualifiedNameAsync(self, _: str, __: str) -> System.Threading.Tasks.Task: ...

    def WriteRaw(self, _: str) -> None: ...

    def WriteRawAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteStartAttribute(self, _: str, __: str, ___: str) -> None: ...

    def WriteStartAttributeAsync(self,
            _: str,
            __: str,
            ___: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteStartDocument(self, _: bool) -> None: ...

    def WriteStartDocumentAsync(self, _: bool) -> System.Threading.Tasks.Task: ...

    def WriteStartElement(self, _: str, __: str, ___: str) -> None: ...

    def WriteStartElementAsync(self,
            _: str,
            __: str,
            ___: str,
            ) -> System.Threading.Tasks.Task: ...

    @property
    def WriteState(self): ...

    @WriteState.setter
    def WriteState(self): ...

    def WriteString(self, _: str) -> None: ...

    def WriteStringAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    def WriteSurrogateCharEntity(self, _: str, __: str) -> None: ...

    def WriteSurrogateCharEntityAsync(self,
            _: str,
            __: str,
            ) -> System.Threading.Tasks.Task: ...

    def WriteValue(self, _: object) -> None: ...

    def WriteWhitespace(self, _: str) -> None: ...

    def WriteWhitespaceAsync(self, _: str) -> System.Threading.Tasks.Task: ...

    @property
    def XmlLang(self): ...

    @XmlLang.setter
    def XmlLang(self): ...

    @property
    def XmlSpace(self): ...

    @XmlSpace.setter
    def XmlSpace(self): ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Settings(self) -> System.Xml.XmlWriterSettings: ...

    def get_WriteState(self) -> System.Xml.WriteState: ...

    def get_XmlLang(self) -> str: ...

    def get_XmlSpace(self) -> System.Xml.XmlSpace: ...


class XmlReaderSettings:

    @property
    def Async(self): ...

    @Async.setter
    def Async(self): ...

    @property
    def CheckCharacters(self): ...

    @CheckCharacters.setter
    def CheckCharacters(self): ...

    def Clone(self) -> System.Xml.XmlReaderSettings: ...

    @property
    def CloseInput(self): ...

    @CloseInput.setter
    def CloseInput(self): ...

    @property
    def ConformanceLevel(self): ...

    @ConformanceLevel.setter
    def ConformanceLevel(self): ...

    @property
    def DtdProcessing(self): ...

    @DtdProcessing.setter
    def DtdProcessing(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    @property
    def IgnoreComments(self): ...

    @IgnoreComments.setter
    def IgnoreComments(self): ...

    @property
    def IgnoreProcessingInstructions(self): ...

    @IgnoreProcessingInstructions.setter
    def IgnoreProcessingInstructions(self): ...

    @property
    def IgnoreWhitespace(self): ...

    @IgnoreWhitespace.setter
    def IgnoreWhitespace(self): ...

    @property
    def LineNumberOffset(self): ...

    @LineNumberOffset.setter
    def LineNumberOffset(self): ...

    @property
    def LinePositionOffset(self): ...

    @LinePositionOffset.setter
    def LinePositionOffset(self): ...

    @property
    def MaxCharactersFromEntities(self): ...

    @MaxCharactersFromEntities.setter
    def MaxCharactersFromEntities(self): ...

    @property
    def MaxCharactersInDocument(self): ...

    @MaxCharactersInDocument.setter
    def MaxCharactersInDocument(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def NameTable(self): ...

    @NameTable.setter
    def NameTable(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def ProhibitDtd(self): ...

    @ProhibitDtd.setter
    def ProhibitDtd(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Reset(self) -> None: ...

    @property
    def Schemas(self): ...

    @Schemas.setter
    def Schemas(self): ...

    def ToString(self) -> str: ...

    def ValidationEventHandler(self, *args, **kwargs) -> Any: ...

    @property
    def ValidationFlags(self): ...

    @ValidationFlags.setter
    def ValidationFlags(self): ...

    @property
    def ValidationType(self): ...

    @ValidationType.setter
    def ValidationType(self): ...

    @property
    def XmlResolver(self): ...

    @XmlResolver.setter
    def XmlResolver(self): ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def add_ValidationEventHandler(self,
            _: System.Xml.Schema.ValidationEventHandler,
            ) -> None: ...

    def get_Async(self) -> bool: ...

    def get_CheckCharacters(self) -> bool: ...

    def get_CloseInput(self) -> bool: ...

    def get_ConformanceLevel(self) -> System.Xml.ConformanceLevel: ...

    def get_DtdProcessing(self) -> System.Xml.DtdProcessing: ...

    def get_IgnoreComments(self) -> bool: ...

    def get_IgnoreProcessingInstructions(self) -> bool: ...

    def get_IgnoreWhitespace(self) -> bool: ...

    def get_LineNumberOffset(self) -> int: ...

    def get_LinePositionOffset(self) -> int: ...

    def get_MaxCharactersFromEntities(self) -> int: ...

    def get_MaxCharactersInDocument(self) -> int: ...

    def get_NameTable(self) -> System.Xml.XmlNameTable: ...

    def get_ProhibitDtd(self) -> bool: ...

    def get_Schemas(self) -> System.Xml.Schema.XmlSchemaSet: ...

    def get_ValidationFlags(self) -> System.Xml.Schema.XmlSchemaValidationFlags: ...

    def get_ValidationType(self) -> System.Xml.ValidationType: ...

    def remove_ValidationEventHandler(self,
            _: System.Xml.Schema.ValidationEventHandler,
            ) -> None: ...

    def set_Async(self, _: bool) -> None: ...

    def set_CheckCharacters(self, _: bool) -> None: ...

    def set_CloseInput(self, _: bool) -> None: ...

    def set_ConformanceLevel(self, _: System.Xml.ConformanceLevel) -> None: ...

    def set_DtdProcessing(self, _: System.Xml.DtdProcessing) -> None: ...

    def set_IgnoreComments(self, _: bool) -> None: ...

    def set_IgnoreProcessingInstructions(self, _: bool) -> None: ...

    def set_IgnoreWhitespace(self, _: bool) -> None: ...

    def set_LineNumberOffset(self, _: int) -> None: ...

    def set_LinePositionOffset(self, _: int) -> None: ...

    def set_MaxCharactersFromEntities(self, _: int) -> None: ...

    def set_MaxCharactersInDocument(self, _: int) -> None: ...

    def set_NameTable(self, _: System.Xml.XmlNameTable) -> None: ...

    def set_ProhibitDtd(self, _: bool) -> None: ...

    def set_Schemas(self, _: System.Xml.Schema.XmlSchemaSet) -> None: ...

    def set_ValidationFlags(self,
            _: System.Xml.Schema.XmlSchemaValidationFlags,
            ) -> None: ...

    def set_ValidationType(self, _: System.Xml.ValidationType) -> None: ...

    def set_XmlResolver(self, _: System.Xml.XmlResolver) -> None: ...


class XmlNodeType:

    def Attribute(self, *args, **kwargs) -> Any: ...

    def CDATA(self, *args, **kwargs) -> Any: ...

    def Comment(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def Document(self, *args, **kwargs) -> Any: ...

    def DocumentFragment(self, *args, **kwargs) -> Any: ...

    def DocumentType(self, *args, **kwargs) -> Any: ...

    def Element(self, *args, **kwargs) -> Any: ...

    def EndElement(self, *args, **kwargs) -> Any: ...

    def EndEntity(self, *args, **kwargs) -> Any: ...

    def Entity(self, *args, **kwargs) -> Any: ...

    def EntityReference(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Notation(self, *args, **kwargs) -> Any: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ProcessingInstruction(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def SignificantWhitespace(self, *args, **kwargs) -> Any: ...

    def Text(self, *args, **kwargs) -> Any: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def Whitespace(self, *args, **kwargs) -> Any: ...

    def XmlDeclaration(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class IXmlNamespaceResolver:

    def GetNamespacesInScope(self, _: System.Xml.XmlNamespaceScope) -> Dict[str, str]: ...

    def LookupNamespace(self, _: str) -> str: ...

    def LookupPrefix(self, _: str) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlNameTable:

    def Add(self, _: str) -> str: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Get(self, _: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlWriterSettings:

    @property
    def Async(self): ...

    @Async.setter
    def Async(self): ...

    @property
    def CheckCharacters(self): ...

    @CheckCharacters.setter
    def CheckCharacters(self): ...

    def Clone(self) -> System.Xml.XmlWriterSettings: ...

    @property
    def CloseOutput(self): ...

    @CloseOutput.setter
    def CloseOutput(self): ...

    @property
    def ConformanceLevel(self): ...

    @ConformanceLevel.setter
    def ConformanceLevel(self): ...

    @property
    def DoNotEscapeUriAttributes(self): ...

    @DoNotEscapeUriAttributes.setter
    def DoNotEscapeUriAttributes(self): ...

    @property
    def Encoding(self): ...

    @Encoding.setter
    def Encoding(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    @property
    def Indent(self): ...

    @Indent.setter
    def Indent(self): ...

    @property
    def IndentChars(self): ...

    @IndentChars.setter
    def IndentChars(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def NamespaceHandling(self): ...

    @NamespaceHandling.setter
    def NamespaceHandling(self): ...

    @property
    def NewLineChars(self): ...

    @NewLineChars.setter
    def NewLineChars(self): ...

    @property
    def NewLineHandling(self): ...

    @NewLineHandling.setter
    def NewLineHandling(self): ...

    @property
    def NewLineOnAttributes(self): ...

    @NewLineOnAttributes.setter
    def NewLineOnAttributes(self): ...

    @property
    def OmitXmlDeclaration(self): ...

    @OmitXmlDeclaration.setter
    def OmitXmlDeclaration(self): ...

    @property
    def OutputMethod(self): ...

    @OutputMethod.setter
    def OutputMethod(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Reset(self) -> None: ...

    def ToString(self) -> str: ...

    @property
    def WriteEndDocumentOnClose(self): ...

    @WriteEndDocumentOnClose.setter
    def WriteEndDocumentOnClose(self): ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Async(self) -> bool: ...

    def get_CheckCharacters(self) -> bool: ...

    def get_CloseOutput(self) -> bool: ...

    def get_ConformanceLevel(self) -> System.Xml.ConformanceLevel: ...

    def get_DoNotEscapeUriAttributes(self) -> bool: ...

    def get_Encoding(self) -> Any: ...

    def get_Indent(self) -> bool: ...

    def get_IndentChars(self) -> str: ...

    def get_NamespaceHandling(self) -> System.Xml.NamespaceHandling: ...

    def get_NewLineChars(self) -> str: ...

    def get_NewLineHandling(self) -> System.Xml.NewLineHandling: ...

    def get_NewLineOnAttributes(self) -> bool: ...

    def get_OmitXmlDeclaration(self) -> bool: ...

    def get_OutputMethod(self) -> System.Xml.XmlOutputMethod: ...

    def get_WriteEndDocumentOnClose(self) -> bool: ...

    def set_Async(self, _: bool) -> None: ...

    def set_CheckCharacters(self, _: bool) -> None: ...

    def set_CloseOutput(self, _: bool) -> None: ...

    def set_ConformanceLevel(self, _: System.Xml.ConformanceLevel) -> None: ...

    def set_DoNotEscapeUriAttributes(self, _: bool) -> None: ...

    def set_Encoding(self, _: Any) -> None: ...

    def set_Indent(self, _: bool) -> None: ...

    def set_IndentChars(self, _: str) -> None: ...

    def set_NamespaceHandling(self, _: System.Xml.NamespaceHandling) -> None: ...

    def set_NewLineChars(self, _: str) -> None: ...

    def set_NewLineHandling(self, _: System.Xml.NewLineHandling) -> None: ...

    def set_NewLineOnAttributes(self, _: bool) -> None: ...

    def set_OmitXmlDeclaration(self, _: bool) -> None: ...

    def set_WriteEndDocumentOnClose(self, _: bool) -> None: ...


class XmlResolver:

    @property
    def Credentials(self): ...

    @Credentials.setter
    def Credentials(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetEntity(self, _: Any, __: str, ___: Type) -> object: ...

    def GetEntityAsync(self,
            _: Any,
            __: str,
            ___: Type,
            ) -> System.Threading.Tasks.Task[object]: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ResolveUri(self, _: Any, __: str) -> Any: ...

    def SupportsType(self, _: Any, __: Type) -> bool: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def set_Credentials(self, _: Any) -> None: ...


class XmlQualifiedName:

    def Empty(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    @property
    def IsEmpty(self): ...

    @IsEmpty.setter
    def IsEmpty(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def Namespace(self): ...

    @Namespace.setter
    def Namespace(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToString(self, _: str, __: str) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_IsEmpty(self) -> bool: ...

    def get_Name(self) -> str: ...

    def get_Namespace(self) -> str: ...

    def op_Equality(self,
            _: System.Xml.XmlQualifiedName,
            __: System.Xml.XmlQualifiedName,
            ) -> bool: ...

    def op_Inequality(self,
            _: System.Xml.XmlQualifiedName,
            __: System.Xml.XmlQualifiedName,
            ) -> bool: ...


class XmlAttribute:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def OwnerElement(self): ...

    @OwnerElement.setter
    def OwnerElement(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    @property
    def Specified(self): ...

    @Specified.setter
    def Specified(self): ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_OwnerElement(self) -> System.Xml.XmlElement: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Specified(self) -> bool: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlTokenizedType:

    def CDATA(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def ENTITIES(self, *args, **kwargs) -> Any: ...

    def ENTITY(self, *args, **kwargs) -> Any: ...

    def ENUMERATION(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def ID(self, *args, **kwargs) -> Any: ...

    def IDREF(self, *args, **kwargs) -> Any: ...

    def IDREFS(self, *args, **kwargs) -> Any: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def NCName(self, *args, **kwargs) -> Any: ...

    def NMTOKEN(self, *args, **kwargs) -> Any: ...

    def NMTOKENS(self, *args, **kwargs) -> Any: ...

    def NOTATION(self, *args, **kwargs) -> Any: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def QName(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlOutputMethod:

    def AutoDetect(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def Html(self, *args, **kwargs) -> Any: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Text(self, *args, **kwargs) -> Any: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def Xml(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlNode:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlNodeList:

    @property
    def Count(self): ...

    @Count.setter
    def Count(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def Item(self, _: int) -> System.Xml.XmlNode: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def PrivateDisposeNodeList(self) -> None: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Count(self) -> int: ...

    def get_ItemOf(self, _: int) -> System.Xml.XmlNode: ...


class XmlNamespaceManager:

    def AddNamespace(self, _: str, __: str) -> None: ...

    @property
    def DefaultNamespace(self): ...

    @DefaultNamespace.setter
    def DefaultNamespace(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespacesInScope(self, _: System.Xml.XmlNamespaceScope) -> Dict[str, str]: ...

    def GetType(self) -> Type: ...

    def HasNamespace(self, _: str) -> bool: ...

    def LookupNamespace(self, _: str) -> str: ...

    def LookupPrefix(self, _: str) -> str: ...

    def MemberwiseClone(self) -> object: ...

    @property
    def NameTable(self): ...

    @NameTable.setter
    def NameTable(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def PopScope(self) -> bool: ...

    def PushScope(self) -> None: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveNamespace(self, _: str, __: str) -> None: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_DefaultNamespace(self) -> str: ...

    def get_NameTable(self) -> System.Xml.XmlNameTable: ...


class XmlAttributeCollection:

    def Append(self, _: System.Xml.XmlAttribute) -> System.Xml.XmlAttribute: ...

    def CopyTo(self, _: List[System.Xml.XmlAttribute], __: int) -> None: ...

    @property
    def Count(self): ...

    @Count.setter
    def Count(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamedItem(self, _: str, __: str) -> System.Xml.XmlNode: ...

    def GetType(self) -> Type: ...

    def InsertAfter(self,
            _: System.Xml.XmlAttribute,
            __: System.Xml.XmlAttribute,
            ) -> System.Xml.XmlAttribute: ...

    def InsertBefore(self,
            _: System.Xml.XmlAttribute,
            __: System.Xml.XmlAttribute,
            ) -> System.Xml.XmlAttribute: ...

    def Item(self, _: int) -> System.Xml.XmlNode: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Prepend(self, _: System.Xml.XmlAttribute) -> System.Xml.XmlAttribute: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Remove(self, _: System.Xml.XmlAttribute) -> System.Xml.XmlAttribute: ...

    def RemoveAll(self) -> None: ...

    def RemoveAt(self, _: int) -> System.Xml.XmlAttribute: ...

    def RemoveNamedItem(self, _: str, __: str) -> System.Xml.XmlNode: ...

    def SetNamedItem(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Count(self) -> int: ...

    def get_ItemOf(self, _: str, __: str) -> System.Xml.XmlAttribute: ...


class XmlElement:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetAttribute(self, _: str, __: str) -> str: ...

    def GetAttributeNode(self, _: str, __: str) -> System.Xml.XmlAttribute: ...

    def GetElementsByTagName(self, _: str, __: str) -> System.Xml.XmlNodeList: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    def HasAttribute(self, _: str, __: str) -> bool: ...

    @property
    def HasAttributes(self): ...

    @HasAttributes.setter
    def HasAttributes(self): ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsEmpty(self): ...

    @IsEmpty.setter
    def IsEmpty(self): ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveAllAttributes(self) -> None: ...

    def RemoveAttribute(self, _: str, __: str) -> None: ...

    def RemoveAttributeAt(self, _: int) -> System.Xml.XmlNode: ...

    def RemoveAttributeNode(self, _: str, __: str) -> System.Xml.XmlAttribute: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def SetAttribute(self, _: str, __: str, ___: str) -> str: ...

    def SetAttributeNode(self, _: str, __: str) -> System.Xml.XmlAttribute: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasAttributes(self) -> bool: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsEmpty(self) -> bool: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_IsEmpty(self, _: bool) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlNamespaceScope:

    def All(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def Equals(self, _: object) -> bool: ...

    def ExcludeXml(self, *args, **kwargs) -> Any: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def Local(self, *args, **kwargs) -> Any: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlDocument:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateAttribute(self, _: str, __: str, ___: str) -> System.Xml.XmlAttribute: ...

    def CreateCDataSection(self, _: str) -> System.Xml.XmlCDataSection: ...

    def CreateComment(self, _: str) -> System.Xml.XmlComment: ...

    def CreateDefaultAttribute(self,
            _: str,
            __: str,
            ___: str,
            ) -> System.Xml.XmlAttribute: ...

    def CreateDocumentFragment(self) -> System.Xml.XmlDocumentFragment: ...

    def CreateDocumentType(self,
            _: str,
            __: str,
            ___: str,
            ____: str,
            ) -> System.Xml.XmlDocumentType: ...

    def CreateElement(self, _: str, __: str, ___: str) -> System.Xml.XmlElement: ...

    def CreateEntityReference(self, _: str) -> System.Xml.XmlEntityReference: ...

    def CreateNavigator(self, _: System.Xml.XmlNode) -> Any: ...

    def CreateNode(self,
            _: System.Xml.XmlNodeType,
            __: str,
            ___: str,
            ____: str,
            ) -> System.Xml.XmlNode: ...

    def CreateProcessingInstruction(self,
            _: str,
            __: str,
            ) -> System.Xml.XmlProcessingInstruction: ...

    def CreateSignificantWhitespace(self,
            _: str,
            ) -> System.Xml.XmlSignificantWhitespace: ...

    def CreateTextNode(self, _: str) -> System.Xml.XmlText: ...

    def CreateWhitespace(self, _: str) -> System.Xml.XmlWhitespace: ...

    def CreateXmlDeclaration(self,
            _: str,
            __: str,
            ___: str,
            ) -> System.Xml.XmlDeclaration: ...

    @property
    def DocumentElement(self): ...

    @DocumentElement.setter
    def DocumentElement(self): ...

    @property
    def DocumentType(self): ...

    @DocumentType.setter
    def DocumentType(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetElementById(self, _: str) -> System.Xml.XmlElement: ...

    def GetElementsByTagName(self, _: str, __: str) -> System.Xml.XmlNodeList: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def Implementation(self): ...

    @Implementation.setter
    def Implementation(self): ...

    def ImportNode(self, _: System.Xml.XmlNode, __: bool) -> System.Xml.XmlNode: ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    def Load(self, _: str) -> None: ...

    def LoadXml(self, _: str) -> None: ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NameTable(self): ...

    @NameTable.setter
    def NameTable(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    def NodeChanged(self, *args, **kwargs) -> Any: ...

    def NodeChanging(self, *args, **kwargs) -> Any: ...

    def NodeInserted(self, *args, **kwargs) -> Any: ...

    def NodeInserting(self, *args, **kwargs) -> Any: ...

    def NodeRemoved(self, *args, **kwargs) -> Any: ...

    def NodeRemoving(self, *args, **kwargs) -> Any: ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreserveWhitespace(self): ...

    @PreserveWhitespace.setter
    def PreserveWhitespace(self): ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReadNode(self, _: System.Xml.XmlReader) -> System.Xml.XmlNode: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def Save(self, _: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    @property
    def Schemas(self): ...

    @Schemas.setter
    def Schemas(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    def Validate(self,
            _: System.Xml.Schema.ValidationEventHandler,
            __: System.Xml.XmlNode,
            ) -> None: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    @property
    def XmlResolver(self): ...

    @XmlResolver.setter
    def XmlResolver(self): ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def add_NodeChanged(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def add_NodeChanging(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def add_NodeInserted(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def add_NodeInserting(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def add_NodeRemoved(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def add_NodeRemoving(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_DocumentElement(self) -> System.Xml.XmlElement: ...

    def get_DocumentType(self) -> System.Xml.XmlDocumentType: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_Implementation(self) -> System.Xml.XmlImplementation: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NameTable(self) -> System.Xml.XmlNameTable: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreserveWhitespace(self) -> bool: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Schemas(self) -> System.Xml.Schema.XmlSchemaSet: ...

    def get_Value(self) -> str: ...

    def remove_NodeChanged(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def remove_NodeChanging(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def remove_NodeInserted(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def remove_NodeInserting(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def remove_NodeRemoved(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def remove_NodeRemoving(self, _: System.Xml.XmlNodeChangedEventHandler) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_PreserveWhitespace(self, _: bool) -> None: ...

    def set_Schemas(self, _: System.Xml.Schema.XmlSchemaSet) -> None: ...

    def set_Value(self, _: str) -> None: ...

    def set_XmlResolver(self, _: System.Xml.XmlResolver) -> None: ...


class XmlEntityReference:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlSignificantWhitespace:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def AppendData(self, _: str) -> None: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def DeleteData(self, _: int, __: int) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertData(self, _: int, __: str) -> None: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def Length(self): ...

    @Length.setter
    def Length(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def ReplaceData(self, _: int, __: int, ___: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Substring(self, _: int, __: int) -> str: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_Length(self) -> int: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlDocumentFragment:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlText:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def AppendData(self, _: str) -> None: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def DeleteData(self, _: int, __: int) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertData(self, _: int, __: str) -> None: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def Length(self): ...

    @Length.setter
    def Length(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def ReplaceData(self, _: int, __: int, ___: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def SplitText(self, _: int) -> System.Xml.XmlText: ...

    def Substring(self, _: int, __: int) -> str: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_Length(self) -> int: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlWhitespace:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def AppendData(self, _: str) -> None: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def DeleteData(self, _: int, __: int) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertData(self, _: int, __: str) -> None: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def Length(self): ...

    @Length.setter
    def Length(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def ReplaceData(self, _: int, __: int, ___: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Substring(self, _: int, __: int) -> str: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_Length(self) -> int: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlDeclaration:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Encoding(self): ...

    @Encoding.setter
    def Encoding(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    @property
    def Standalone(self): ...

    @Standalone.setter
    def Standalone(self): ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    @property
    def Version(self): ...

    @Version.setter
    def Version(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Encoding(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Standalone(self) -> str: ...

    def get_Value(self) -> str: ...

    def get_Version(self) -> str: ...

    def set_Encoding(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Standalone(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class ReadState:

    def Closed(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def EndOfFile(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Error(self, *args, **kwargs) -> Any: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def Initial(self, *args, **kwargs) -> Any: ...

    def Interactive(self, *args, **kwargs) -> Any: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlSpace:

    def CompareTo(self, _: object) -> int: ...

    def Default(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def Preserve(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class NewLineHandling:

    def CompareTo(self, _: object) -> int: ...

    def Entitize(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Replace(self, *args, **kwargs) -> Any: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class NamespaceHandling:

    def CompareTo(self, _: object) -> int: ...

    def Default(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def OmitDuplicates(self, *args, **kwargs) -> Any: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlCDataSection:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def AppendData(self, _: str) -> None: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def DeleteData(self, _: int, __: int) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertData(self, _: int, __: str) -> None: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def Length(self): ...

    @Length.setter
    def Length(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def ReplaceData(self, _: int, __: int, ___: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Substring(self, _: int, __: int) -> str: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_Length(self) -> int: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlComment:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def AppendData(self, _: str) -> None: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def DeleteData(self, _: int, __: int) -> None: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertData(self, _: int, __: str) -> None: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def Length(self): ...

    @Length.setter
    def Length(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def ReplaceData(self, _: int, __: int, ___: str) -> None: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Substring(self, _: int, __: int) -> str: ...

    def Supports(self, _: str, __: str) -> bool: ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_Length(self) -> int: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlDocumentType:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Entities(self): ...

    @Entities.setter
    def Entities(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def InternalSubset(self): ...

    @InternalSubset.setter
    def InternalSubset(self): ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def Notations(self): ...

    @Notations.setter
    def Notations(self): ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    @property
    def PublicId(self): ...

    @PublicId.setter
    def PublicId(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    @property
    def SystemId(self): ...

    @SystemId.setter
    def SystemId(self): ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Entities(self) -> System.Xml.XmlNamedNodeMap: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_InternalSubset(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_Notations(self) -> System.Xml.XmlNamedNodeMap: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_PublicId(self) -> str: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_SystemId(self) -> str: ...

    def get_Value(self) -> str: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlProcessingInstruction:

    def AppendChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def Attributes(self): ...

    @Attributes.setter
    def Attributes(self): ...

    @property
    def BaseURI(self): ...

    @BaseURI.setter
    def BaseURI(self): ...

    @property
    def ChildNodes(self): ...

    @ChildNodes.setter
    def ChildNodes(self): ...

    def Clone(self) -> System.Xml.XmlNode: ...

    def CloneNode(self, _: bool) -> System.Xml.XmlNode: ...

    def CreateNavigator(self) -> Any: ...

    @property
    def Data(self): ...

    @Data.setter
    def Data(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    @property
    def FirstChild(self): ...

    @FirstChild.setter
    def FirstChild(self): ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamespaceOfPrefix(self, _: str) -> str: ...

    def GetPrefixOfNamespace(self, _: str) -> str: ...

    def GetType(self) -> Type: ...

    @property
    def HasChildNodes(self): ...

    @HasChildNodes.setter
    def HasChildNodes(self): ...

    @property
    def InnerText(self): ...

    @InnerText.setter
    def InnerText(self): ...

    @property
    def InnerXml(self): ...

    @InnerXml.setter
    def InnerXml(self): ...

    def InsertAfter(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    def InsertBefore(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def IsReadOnly(self): ...

    @IsReadOnly.setter
    def IsReadOnly(self): ...

    @property
    def LastChild(self): ...

    @LastChild.setter
    def LastChild(self): ...

    @property
    def LocalName(self): ...

    @LocalName.setter
    def LocalName(self): ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Name(self): ...

    @Name.setter
    def Name(self): ...

    @property
    def NamespaceURI(self): ...

    @NamespaceURI.setter
    def NamespaceURI(self): ...

    @property
    def NextSibling(self): ...

    @NextSibling.setter
    def NextSibling(self): ...

    @property
    def NodeType(self): ...

    @NodeType.setter
    def NodeType(self): ...

    def Normalize(self) -> None: ...

    @property
    def OuterXml(self): ...

    @OuterXml.setter
    def OuterXml(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    @property
    def OwnerDocument(self): ...

    @OwnerDocument.setter
    def OwnerDocument(self): ...

    @property
    def ParentNode(self): ...

    @ParentNode.setter
    def ParentNode(self): ...

    @property
    def Prefix(self): ...

    @Prefix.setter
    def Prefix(self): ...

    def PrependChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    @property
    def PreviousSibling(self): ...

    @PreviousSibling.setter
    def PreviousSibling(self): ...

    @property
    def PreviousText(self): ...

    @PreviousText.setter
    def PreviousText(self): ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveAll(self) -> None: ...

    def RemoveChild(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ReplaceChild(self,
            _: System.Xml.XmlNode,
            __: System.Xml.XmlNode,
            ) -> System.Xml.XmlNode: ...

    @property
    def SchemaInfo(self): ...

    @SchemaInfo.setter
    def SchemaInfo(self): ...

    def SelectNodes(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNodeList: ...

    def SelectSingleNode(self,
            _: str,
            __: System.Xml.XmlNamespaceManager,
            ) -> System.Xml.XmlNode: ...

    def Supports(self, _: str, __: str) -> bool: ...

    @property
    def Target(self): ...

    @Target.setter
    def Target(self): ...

    def ToString(self) -> str: ...

    @property
    def Value(self): ...

    @Value.setter
    def Value(self): ...

    def WriteContentTo(self, _: System.Xml.XmlWriter) -> None: ...

    def WriteTo(self, _: System.Xml.XmlWriter) -> None: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Attributes(self) -> System.Xml.XmlAttributeCollection: ...

    def get_BaseURI(self) -> str: ...

    def get_ChildNodes(self) -> System.Xml.XmlNodeList: ...

    def get_Data(self) -> str: ...

    def get_FirstChild(self) -> System.Xml.XmlNode: ...

    def get_HasChildNodes(self) -> bool: ...

    def get_InnerText(self) -> str: ...

    def get_InnerXml(self) -> str: ...

    def get_IsReadOnly(self) -> bool: ...

    def get_Item(self, _: str, __: str) -> System.Xml.XmlElement: ...

    def get_LastChild(self) -> System.Xml.XmlNode: ...

    def get_LocalName(self) -> str: ...

    def get_Name(self) -> str: ...

    def get_NamespaceURI(self) -> str: ...

    def get_NextSibling(self) -> System.Xml.XmlNode: ...

    def get_NodeType(self) -> System.Xml.XmlNodeType: ...

    def get_OuterXml(self) -> str: ...

    def get_OwnerDocument(self) -> System.Xml.XmlDocument: ...

    def get_ParentNode(self) -> System.Xml.XmlNode: ...

    def get_Prefix(self) -> str: ...

    def get_PreviousSibling(self) -> System.Xml.XmlNode: ...

    def get_PreviousText(self) -> System.Xml.XmlNode: ...

    def get_SchemaInfo(self) -> System.Xml.Schema.IXmlSchemaInfo: ...

    def get_Target(self) -> str: ...

    def get_Value(self) -> str: ...

    def set_Data(self, _: str) -> None: ...

    def set_InnerText(self, _: str) -> None: ...

    def set_InnerXml(self, _: str) -> None: ...

    def set_Prefix(self, _: str) -> None: ...

    def set_Value(self, _: str) -> None: ...


class XmlNodeChangedEventHandler:

    def BeginInvoke(self,
            _: object,
            __: System.Xml.XmlNodeChangedEventArgs,
            ___: Any,
            ____: object,
            ) -> Any: ...

    def Clone(self) -> object: ...

    def Combine(self, _: Any, __: Any) -> Any: ...

    def CombineImpl(self, _: Any) -> Any: ...

    def CreateDelegate(self,
            _: Type,
            __: object,
            ___: str,
            ____: bool,
            _____: bool,
            ) -> Any: ...

    def DynamicInvoke(self, _: List[object]) -> object: ...

    def DynamicInvokeImpl(self, _: List[object]) -> object: ...

    def EndInvoke(self, _: Any) -> None: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetInvocationList(self) -> List[Any]: ...

    def GetMethodImpl(self) -> System.Reflection.MethodInfo: ...

    def GetObjectData(self,
            _: System.Runtime.Serialization.SerializationInfo,
            __: System.Runtime.Serialization.StreamingContext,
            ) -> None: ...

    def GetType(self) -> Type: ...

    def Invoke(self, _: object, __: System.Xml.XmlNodeChangedEventArgs) -> None: ...

    def MemberwiseClone(self) -> object: ...

    @property
    def Method(self): ...

    @Method.setter
    def Method(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Remove(self, _: Any, __: Any) -> Any: ...

    def RemoveAll(self, _: Any, __: Any) -> Any: ...

    def RemoveImpl(self, _: Any) -> Any: ...

    @property
    def Target(self): ...

    @Target.setter
    def Target(self): ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Method(self) -> System.Reflection.MethodInfo: ...

    def get_Target(self) -> object: ...

    def op_Equality(self, _: Any, __: Any) -> bool: ...

    def op_Inequality(self, _: Any, __: Any) -> bool: ...


class ValidationType:

    def Auto(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def DTD(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Schema(self, *args, **kwargs) -> Any: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def XDR(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class ConformanceLevel:

    def Auto(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def Document(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def Fragment(self, *args, **kwargs) -> Any: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class DtdProcessing:

    def CompareTo(self, _: object) -> int: ...

    def Equals(self, _: object) -> bool: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def Ignore(self, *args, **kwargs) -> Any: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, *args, **kwargs) -> Any: ...

    def Prohibit(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class WriteState:

    def Attribute(self, *args, **kwargs) -> Any: ...

    def Closed(self, *args, **kwargs) -> Any: ...

    def CompareTo(self, _: object) -> int: ...

    def Content(self, *args, **kwargs) -> Any: ...

    def Element(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object) -> bool: ...

    def Error(self, *args, **kwargs) -> Any: ...

    def Finalize(self) -> None: ...

    def Format(self, _: Type, __: object, ___: str) -> str: ...

    def GetHashCode(self) -> int: ...

    def GetName(self, _: Type, __: object) -> str: ...

    def GetNames(self, _: Type) -> List[str]: ...

    def GetType(self) -> Type: ...

    def GetTypeCode(self) -> Any: ...

    def GetUnderlyingType(self, _: Type) -> Type: ...

    def GetValues(self, _: Type) -> List: ...

    def HasFlag(self, _: Enum) -> bool: ...

    def IsDefined(self, _: Type, __: object) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def Parse(self, _: Type, __: str, ___: bool) -> object: ...

    def Prolog(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def Start(self, *args, **kwargs) -> Any: ...

    def ToObject(self, _: Type, __: object) -> object: ...

    def ToString(self, _: str, __: Any) -> str: ...

    def TryParse(self, *args, **kwargs) -> Any: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlNamedNodeMap:

    @property
    def Count(self): ...

    @Count.setter
    def Count(self): ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetEnumerator(self) -> System.Collections.IEnumerator: ...

    def GetHashCode(self) -> int: ...

    def GetNamedItem(self, _: str, __: str) -> System.Xml.XmlNode: ...

    def GetType(self) -> Type: ...

    def Item(self, _: int) -> System.Xml.XmlNode: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def RemoveNamedItem(self, _: str, __: str) -> System.Xml.XmlNode: ...

    def SetNamedItem(self, _: System.Xml.XmlNode) -> System.Xml.XmlNode: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Count(self) -> int: ...


class XmlImplementation:

    def CreateDocument(self) -> System.Xml.XmlDocument: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def HasFeature(self, _: str, __: str) -> bool: ...

    def MemberwiseClone(self) -> object: ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...


class XmlNodeChangedEventArgs:

    @property
    def Action(self): ...

    @Action.setter
    def Action(self): ...

    def Empty(self, *args, **kwargs) -> Any: ...

    def Equals(self, _: object, __: object) -> bool: ...

    def Finalize(self) -> None: ...

    def GetHashCode(self) -> int: ...

    def GetType(self) -> Type: ...

    def MemberwiseClone(self) -> object: ...

    @property
    def NewParent(self): ...

    @NewParent.setter
    def NewParent(self): ...

    @property
    def NewValue(self): ...

    @NewValue.setter
    def NewValue(self): ...

    @property
    def Node(self): ...

    @Node.setter
    def Node(self): ...

    @property
    def OldParent(self): ...

    @OldParent.setter
    def OldParent(self): ...

    @property
    def OldValue(self): ...

    @OldValue.setter
    def OldValue(self): ...

    def Overloads(self, *args, **kwargs) -> Any: ...

    def ReferenceEquals(self, _: object, __: object) -> bool: ...

    def ToString(self) -> str: ...

    def __init__(self, *args, **kwargs) -> Any: ...

    def get_Action(self) -> System.Xml.XmlNodeChangedAction: ...

    def get_NewParent(self) -> System.Xml.XmlNode: ...

    def get_NewValue(self) -> str: ...

    def get_Node(self) -> System.Xml.XmlNode: ...

    def get_OldParent(self) -> System.Xml.XmlNode: ...

    def get_OldValue(self) -> str: ...
